; This file contains the default values for the configs of the library.
[forecast:env_ab_encoder]
gear_ratio = 43.0
count_per_revolution = 2000.0

[forecast:motor_ab_encoder]
gear_ratio = 103.0
count_per_revolution = 4096.0

[forecast:torque_sensor]
pin = PC_1 
offset = 1.65
buffer_size = 16

[forecast:env_escon]
enable_pin = PC_11
current_feedback_pin = PA_1
analog_pin = PA_5

max_current = 6.0
kt = 1.43
jm = 0.02078

[forecast:motor_escon]
enable_pin = PC_10
current_feedback_pin = PA_0
analog_pin = PA_4

max_current = 2.26
kt = 1.5038
jm = 0.0104
dm = 0.4

[forecast:spring]
ks = 12.34

[forecast:timer]
hw_timer = TIM7
clock_freq = 90000000